Subject: Re: bug#4867: 23.1; dired cannot find gunzip with Z; Windows

From: "Xah Lee" <[email-masked]>
Date: Thu, 5 Nov 2009 12:25:14 -0800

Found a solution. Create a file name gunzip.bat, with this content:

@echo off
gzip -d %1

thanks to Eli and others.

I think this should still considered a bug though. Considering it as a 
Windows OS problem isn't very helpful in solving this. I'm sure if similar 
problems happen in linux that's OS issue, people probably will not look at 
it as “Oh, it's OS issue, emacs doesn't need to deal with it”.

  Xah
∑ http://xahlee.org/

☄

----- Original Message ----- 
From: "Eli Zaretskii" <[email-masked]>
To: "Xah Lee" <[email-masked]>; <[email-masked]>
Sent: Thursday, November 05, 2009 10:55 AM
Subject: Re: bug#4867: 23.1; dired cannot find gunzip with Z; Windows

>> From: "Xah Lee" <[email-masked]>
>> Date: Wed, 4 Nov 2009 08:56:09 -0800
>> Cc:
>>
>> when using emacs on Windows, when in dired, when i press Z on a file 
>> that's
>> gzip compressed, emacs tells me:
>> 'gunzip' is not recognized as an internal or external command,
>>
>> the problem is apparently that emacs won't recognize the gunzip shell 
>> script
>> without the exe suffix.
>
> No, this error message comes from the OS, not from Emacs.  Windows
> does not support invocation of Unixy shell scripts, and thus Emacs,
> being a native Windows program that uses Windows APIs, cannot run
> them.
>
> To make this work, create a Windows batch file unzip.bat which invokes
> gzip.exe with the -d switch.  Then Emacs will find it and do what you
> want.
>
> I'm closing this bug.